Subject: Re: netlink: hide struct module parameter in netlink_kernel_create

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 10 Sep 2012 09:45:35 +0200

On Mon, Sep 10, 2012 at 09:37:12AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> I didn't see the original patch until it reached linux-enxt this morning,
> but just a comment:
> 
> THIS_MODULE is defined in linux/export.h, so that should be included in
> linux/netlink.h instead of linux/module.h as it is much smaller.

I'll send a follow-up patch for this to David, thanks Stephen.